=== kdbg/doc/en/CMakeLists.txt ===
install(FILES
	argspwdenv.html
	breakptlist.html
	globaloptions.html
	howdoi.html
	invocation.html
	localvars.html
	memory.html
	pgmoutput.html
	pgmsettings.html
	registers.html
	sourcecode.html
	stack.html
	threads.html
	tips.html
	types.html
	watches.html
	index.html
	DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en/kdbg)
