=== debian/changelog ===
kdbg (3.2.0-1) unstable; urgency=medium

  * Release KDbg 3.2.0.

 -- Johannes Sixt <j6t@kdbg.org>  Sun, 16 Aug 2025 17:49:00 +0200

kdbg (3.1.0-1) unstable; urgency=medium

  * Release KDbg 3.1.0.

 -- Johannes Sixt <j6t@kdbg.org>  Sun, 3 Dec 2023 18:45:00 +0100

kdbg (3.0.1-1) unstable; urgency=medium

  * Release KDbg 3.0.1.

 -- Johannes Sixt <j6t@kdbg.org>  Wed, 1 Jan 2020 10:01:45 +0100

kdbg (2.5.5-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 17:23:43 +0300

kdbg (2.5.5-2) experimental; urgency=medium

  * QA upload.
  * debian/copyright: Change my entry to new id.
  * debian/patches:
    - 11_fix_changelog_encoding.patch: Reproducible build. This patch will close
      the bug number #823393 when uploaded to unstable.
  * debian/rules:
    - override_dh_installchangelogs: Add -a parameter to egrep
      (don't use binary mode).

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 20 Aug 2016 21:45:21 -0300

kdbg (2.5.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update to DH 9.
  * debian/clean: Add debian/upstream.changes.
  * debian/control:
    - Standards-Version: Update to 3.9.8.
    - Remove mention to non existent package (closes: #764423).
  * debian/copyright:
    - Update format to 1.0.
    - Update source's copyright year.
    - Remove trailing whitespace.
  * debian/rules:
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed so building may avoid
      useless dependencies.
    - Add hardening=+all.
    - override_dh_installchangelogs: Concatenate upstream changelogs into one
      single file at debian/upstream.changes.
    - Remove garbage comment.
  * debian/watch: Update to version 4.

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Tue, 19 Apr 2016 01:23:10 -0300

kdbg (2.5.4-2) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #803878.
    - Set maintainer to Debian QA Group.
  * Fix FTBFS. Thanks to Eriberto Mota. (Closes: #808760)
  * Update Standards-Version to 3.9.6, no changes required.
  * Add watch file. Thanks to Bart Martens.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 16 Mar 2016 23:42:03 +0100

kdbg (2.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 29 Nov 2013 19:40:20 +0100

kdbg (2.5.3-1) unstable; urgency=low

  * New upstream release. (Closes: #715031)
  * Update Standards-Version to 3.9.4, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 15 Jul 2013 20:08:45 +0200

kdbg (2.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #672338)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 10 May 2012 21:01:19 +0200

kdbg (2.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 02 Apr 2011 23:39:51 +0200

kdbg (2.4.92~1-1) unstable; urgency=low

  * Git Snapshot of a future 2.5 release, now ported to KDE 4. This means
    significant changes in the packaging. (Closes: #604333)
  * We used cmake now, no outdated config.{sub,guess} anymore. (Closes: #582436)
  * Remove suggests on kxsldbg, it is not in the Debian archive anymore.
  * Update years in copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Mar 2011 17:00:01 +0100

kdbg (2.2.1-2) unstable; urgency=low

  * Redone again relibtoolization making sure it uses latest automake.
    (Closes: #577679)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 21 Apr 2010 04:31:55 +0200

kdbg (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Redone libtoolization.
  * Remove patch 03_fix_ftbfs, merged upstream.
  * Update Standards-Version to 3.8.4, no changes required.
  * Add ${misc:Depends} to Depends:

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Apr 2010 18:39:35 +0200

kdbg (2.2.0-2) unstable; urgency=low

  * Add patch taken from upstream to fix FTBFS with newer glibc 2.10 and gcc 4.4.
   (Closes: #552582)
  * Minor updates in the copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 19 Nov 2009 23:06:37 +0100

kdbg (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Redone libtoolization.
  * Update Standards-Version to 3.8.3, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 20 Sep 2009 20:41:52 +0200

kdbg (2.1.1-1) unstable; urgency=low

  * New upstream release:
    - Do not crash when clicking on "delete" button if not program is loaded.
      (Closes: #467243)
  * Redo patches: 02_libtool_update.diff and buildprep.
  * Update upstream's email in copyright file.
  * Update copyright years.
  * Update Section in doc-base.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 29 Dec 2008 13:24:32 +0100

kdbg (2.1.0-2) unstable; urgency=low

  * Remove unnecessary build dependency on libqt3-compat-headers. 
    (Closes: #464057) 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 07 Feb 2008 11:10:15 +0100

kdbg (2.1.0-1) unstable; urgency=low

   * New upstream release.
   * Update Standards-Version to 3.7.3.
   * Move homepage into control field.
   * Update menu file to new policy.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Dec 2007 04:52:24 +0100

kdbg (2.0.5-2) unstable; urgency=low

  * Rewrite debian/rules. Now it can be built twice in a row. 
   (Closes: #424429)
  * Dangling symlinks are not longer created. (Closes: #186169)
  * Redone relibtoolization. (Closes: #418563).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 30 May 2007 01:13:37 +0100

kdbg (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 19 Dec 2006 02:15:51 +0100

kdbg (2.0.4-3) unstable; urgency=low
  
  * Bumped compat to 5.
  * Added space to homepage pseudo header.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 28 Oct 2006 03:57:29 +0200

kdbg (2.0.4-2) unstable; urgency=medium


